from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDispatchInformationProvider(XInterface, Protocol):
    def getSupportedCommandGroups(self) -> sequence < short >: ...
    def getConfigurableDispatchInformation(self, CommandGroup: int) -> sequence < DispatchInformation >: ...
